import { Get, Injectable } from '@nestjs/common'

import { AbstractKeysProvider } from './abstract.provider.js'
import type { AdditionalData } from './abstract.provider.js'
import { proxyGetOp, proxyIndexOp } from './utils.js'
import { Indexes } from '../indexes.js'

@Injectable()
export class UbuntuKeysProvider implements AbstractKeysProvider {
    readonly url = Object.freeze('https://keyserver.ubuntu.com')

    @Get()
    async get(search: string, data: AdditionalData): Promise<string | 404> {
        return proxyGetOp(this.url + '/pks/lookup', search, data)
    }

    @Get()
    async index(search: string, data: AdditionalData): Promise<Indexes> {
        return proxyIndexOp(this.url + '/pks/lookup', search, data)
    }
}
