import { Controller, Get, Render, Req } from '@nestjs/common'
import type { FastifyRequest } from 'fastify'

import { ViewsProvider } from './views.provider.js'

@Controller()
export class ViewsController {
    constructor(private viewsProvider: ViewsProvider) {}

    @Get()
    @Render('index.html')
    index(@Req() req: FastifyRequest) {
        return this.viewsProvider.getData(req)
    }
}
