import { Get, Injectable, Req } from '@nestjs/common'
import type { FastifyRequest } from 'fastify'

import { AllKeysProvider } from 'src/keys/providers/all.provider.js'

@Injectable({})
export class ViewsProvider {
    constructor(private allKeysProvider: AllKeysProvider) {}

    @Get()
    getData(@Req() req: FastifyRequest) {
        return {
            keys: this.allKeysProvider
                .getAll()
                .map((x) => x.url)
                .map((x) => ({ url: x, domain: x.replace(/^\S+:\/\//, '') })),
            host: req.hostname,
            protocol: req.protocol,
        }
    }
}
